Package org.apache.commons.collections4.map

# Class AbstractLinkedMap.LinkIterator<K,V>

java.lang.Object
org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<K,V>

Direct Known Subclasses:
  `AbstractLinkedMap.EntrySetIterator`, `AbstractLinkedMap.KeySetIterator`, `AbstractLinkedMap.LinkMapIterator`, `AbstractLinkedMap.ValuesIterator`

Enclosing class:
  AbstractLinkedMap<K,V>

protected abstract static class AbstractLinkedMap.LinkIterator<K,V> extends Object
Base Iterator that iterates in link order.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `expectedModCount`
  The modification count expected
  `protected AbstractLinkedMap.LinkEntry<K,V>`
  `last`
  The current (last returned) entry
  `protected AbstractLinkedMap.LinkEntry<K,V>`
  `next`
  The next entry
  `protected final AbstractLinkedMap<K,V>`
  `parent`
  The parent map

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LinkIterator(AbstractLinkedMap<K,V> parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractLinkedMap.LinkEntry<K,V>`
  `currentEntry()`
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `protected AbstractLinkedMap.LinkEntry<K,V>`
  `nextEntry()`
  `protected AbstractLinkedMap.LinkEntry<K,V>`
  `previousEntry()`
  `void`
  `remove()`
  `void`
  `reset()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parent

    protected final AbstractLinkedMap<K,V> parent
    The parent map

  - ### last

    protected AbstractLinkedMap.LinkEntry<K,V> last
    The current (last returned) entry

  - ### next

    protected AbstractLinkedMap.LinkEntry<K,V> next
    The next entry

  - ### expectedModCount

    protected int expectedModCount
    The modification count expected

- ## Constructor Details

  - ### LinkIterator

    protected LinkIterator(AbstractLinkedMap<K,V> parent)

- ## Method Details

  - ### currentEntry

    protected AbstractLinkedMap.LinkEntry<K,V> currentEntry()

  - ### hasNext

    public boolean hasNext()

  - ### hasPrevious

    public boolean hasPrevious()

  - ### nextEntry

    protected AbstractLinkedMap.LinkEntry<K,V> nextEntry()

  - ### previousEntry

    protected AbstractLinkedMap.LinkEntry<K,V> previousEntry()

  - ### remove

    public void remove()

  - ### reset

    public void reset()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`